Package jnr.constants.platform.freebsd.aarch64

# Enum Fcntl

java.lang.Object
java.lang.Enum<Fcntl>
jnr.constants.platform.freebsd.aarch64.Fcntl

All Implemented Interfaces:
  `Serializable`, `Comparable<Fcntl>`, `java.lang.constant.Constable`, `Constant`

public enum Fcntl extends Enum<Fcntl> implements Constant

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`F_DUPFD`
`F_GETFD`
`F_GETFL`
`F_GETLK`
`F_GETOWN`
`F_RDAHEAD`
`F_RDLCK`
`F_SETFD`
`F_SETFL`
`F_SETLK`
`F_SETLKW`
`F_SETOWN`
`F_UNLCK`
`F_WRLCK`
`FAPPEND`
`FASYNC`
`FFSYNC`
`FNDELAY`
`FNONBLOCK`
`FREAD`
`FWRITE`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final long`
`MAX_VALUE`
`static final long`
`MIN_VALUE`

## Method Summary

Modifier and Type
Method
Description
`final boolean`
`defined()`
`final int`
`intValue()`
`final long`
`longValue()`
`final String`
`toString()`
`final int`
`value()`
`static Fcntl`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static Fcntl[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface jnr.constants.Constant

`name`

## Enum Constant Details

### FAPPEND

public static final Fcntl FAPPEND

### FREAD

public static final Fcntl FREAD

### FWRITE

public static final Fcntl FWRITE

### FASYNC

public static final Fcntl FASYNC

### FFSYNC

public static final Fcntl FFSYNC

### FNONBLOCK

public static final Fcntl FNONBLOCK

### FNDELAY

public static final Fcntl FNDELAY

### F_DUPFD

public static final Fcntl F_DUPFD

### F_GETFD

public static final Fcntl F_GETFD

### F_SETFD

public static final Fcntl F_SETFD

### F_GETFL

public static final Fcntl F_GETFL

### F_SETFL

public static final Fcntl F_SETFL

### F_GETOWN

public static final Fcntl F_GETOWN

### F_SETOWN

public static final Fcntl F_SETOWN

### F_GETLK

public static final Fcntl F_GETLK

### F_SETLK

public static final Fcntl F_SETLK

### F_SETLKW

public static final Fcntl F_SETLKW

### F_RDAHEAD

public static final Fcntl F_RDAHEAD

### F_RDLCK

public static final Fcntl F_RDLCK

### F_UNLCK

public static final Fcntl F_UNLCK

### F_WRLCK

public static final Fcntl F_WRLCK

## Field Details

### MIN_VALUE

public static final long MIN_VALUE

See Also:
  - Constant Field Values

### MAX_VALUE

public static final long MAX_VALUE

See Also:
  - Constant Field Values

## Method Details

### values

public static Fcntl[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static Fcntl valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### toString

public final String toString()

Overrides:
  `toString` in class `Enum<Fcntl>`

### value

public final int value()

### intValue

public final int intValue()

Specified by:
  `intValue` in interface `Constant`

### longValue

public final long longValue()

Specified by:
  `longValue` in interface `Constant`

### defined

public final boolean defined()

Specified by:
  `defined` in interface `Constant`